<div class="login-outer">
  <div class="container">
      <div class="row">
          <div class="col-sm-12">
              <div class="cont-login">
                  <div class="form-box">
                      <form  [formGroup]="signupForm" (ngSubmit)="signup()">
                          <!-- <div class="password-group" [formGroupName]="emailOrMobile"> -->
                            <div class="form-group p-0">
                                <div class="row">
                                    <div class="col-4 pb-3"><label>Email</label></div>
                                    <div class="col-8 pb-3">
                                      <input type="email" formControlName = "emailOrPhone" name="" class="form-control" placeholder="Enter your Email/Mobile">
                                      <!-- Error Messages -->
                                      <span class="col-12 help-block bottom fs12 text-left t-red" *ngFor="let validation of errors.emailOrPhone">
                                        <span  *ngIf="signupForm.get('emailOrPhone').hasError(validation.type) && (signupForm.get('emailOrPhone').dirty || signupForm.get('emailOrPhone').touched)">
                                            {{validation.message}}
                                        </span>
                                      </span>
                                    </div>
                                </div>
                            </div>
                            <div class="form-group p-0">
                                <div class="row">
                                    <div class="col-4 pb-3"><label>Confirm Email</label></div>
                                    <div class="col-8 pb-3">
                                      <input type="email" formControlName = "confirmEmailOrPhone" name="" class="form-control" placeholder="Enter your Email/Mobile">
                                      <!-- Error Messages -->
                                      <span class="col-12 help-block bottom fs12 text-left t-red" *ngFor="let validation of errors.confirmEmailOrPhone">
                                        <span  *ngIf="signupForm.get('confirmEmailOrPhone').hasError(validation.type) && (signupForm.get('confirmEmailOrPhone').dirty || signupForm.get('confirmEmailOrPhone').touched)">
                                            {{validation.message}}
                                        </span>
                                      </span>
                                    </div>
                                </div>
                            </div>
                          <!-- </div> -->
                          <div class="form-group p-0">
                              <div class="row">
                                  <div class="col-4 pb-3">
                                    <label class="with-info">
                                      Password
                                      <a href="javascript:void(0)" class="form-info ml-2" tooltip="Password must contain 8 characters, Upper case, Lower case, Number, Special character." container="body" [class.t-red]="signupForm.get('password').invalid && (signupForm.get('password').dirty || signupForm.get('password').touched)">
                                          <i class="fas fa-info-circle"></i>
                                      </a>
                                    </label>
                                  </div>
                                  <div class="col-8 pb-3">
                                    <input type="password" formControlName = "password" name="" class="form-control" placeholder="Enter your Password">
                                    <!-- Error Messages -->
                                    <span class="col-12 help-block bottom fs12 text-left t-red" *ngFor="let validation of errors.password">
                                        <span *ngIf="signupForm.get('password').hasError(validation.type) && (signupForm.get('password').dirty || signupForm.get('password').touched)">
                                            {{validation.message}}
                                        </span>
                                    </span>
                                  </div>
                              </div>
                          </div>
                          <div class="form-group p-0">
                              <div class="row">
                                  <div class="col-4 pb-3"><label>Verify Password</label></div>
                                  <div class="col-8 pb-3">
                                    <input type="password" formControlName = "confirmPassword" name="" class="form-control" placeholder="Confirm your Password">
                                    <!-- Error Messages -->
                                    <span class="col-12 help-block bottom fs12 text-left t-red" *ngFor="let validation of errors.confirmPassword">
                                        <span  *ngIf="signupForm.get('confirmPassword').hasError(validation.type) && (signupForm.get('confirmPassword').dirty || signupForm.get('confirmPassword').touched)">
                                            {{validation.message}}
                                        </span>
                                    </span>
                                  </div>
                              </div>
                          </div>
                          <div class="form-group p-0">
                              <div class="row">
                                  <div class="col-4 pb-3"><label>Country</label></div>
                                  <div class="col-8 pb-3">
                                      <select class="form-control select-box"  formControlName="countryCode">
                                        <option value="">Select Country</option>
                                        <option [value]="item.countryId" *ngFor="let item of allCountries">
                                            {{item.name}}
                                        </option>
                                      </select>
                                      <!-- Error Messages -->
                                      <span class="col-12 help-block bottom fs12 text-left t-red" *ngFor="let validation of errors.country">
                                        <span  *ngIf="signupForm.get('countryCode').hasError(validation.type) && (signupForm.get('countryCode').dirty || signupForm.get('countryCode').touched)">
                                            {{validation.message}}
                                        </span>
                                      </span>
                                  </div>
                              </div>
                          </div>
                          <div class="form-group p-0">
                              <div class="row">
                                  <div class="col-4 pb-3"><label>Employer Type</label></div>
                                  <div class="col-8 pb-3">
                                      <select class="form-control select-box"  formControlName="empType">
                                          <option  value="">Select Employer Type</option>
                                          <option  value="INDIVIDUAL">Individual</option>
                                          <option  value="COMPANY">Company</option>
                                      </select>
                                      <!-- Error Messages -->
                                      <span class="col-12 help-block bottom fs12 text-left t-red" *ngFor="let validation of errors.employerType">
                                        <span  *ngIf="signupForm.get('empType').hasError(validation.type) && (signupForm.get('empType').dirty || signupForm.get('empType').touched)">
                                            {{validation.message}}
                                        </span>
                                      </span>
                                  </div>
                              </div>
                          </div>
                          <div class="form-group">
                              <div class="row">
                                <div class="col remember">
                                    <label>
                                        <!-- <input type="checkbox" formControlName="agreeTerms"> I agree to <a href="#">Terms</a> and <a href="#">Conditions</a> -->
                                        <input type="checkbox" formControlName="agreeTerms"> I agree to <a routerLink="/terms-and-conditions-for-employer" target="blank" >Terms and Conditions</a>
                                    </label>
                                </div>
                                <!-- Error Messages -->
                                <span class="col-12 p-0 help-block bottom text-left fs12 t-red" *ngFor="let validation of errors.terms">
                                    <span  *ngIf="signupForm.get('agreeTerms').hasError(validation.type) && (signupForm.get('agreeTerms').dirty || signupForm.get('agreeTerms').touched)">
                                        {{validation.message}}
                                    </span>
                                </span>
                              </div>
                          </div>
                          <div class="form-group text-center">
                              <input type="submit" name="" [disabled]="signupForm.invalid" value="Register" class="btn">
                          </div>
                      </form>
                  </div>
                  <div class="login-reg-bottom">
                      <div class="social-log">
                          <ul>
                              <li><a href="javascript:void(0)"><img src="assets/images/social-linkdin.png" alt=""></a></li>
                              <li>
                                <a href="javascript:void(0)" aotFbLogin (fbLoginInitialized)="socialSignup($event)">
                                    <img src="assets/images/social-fb.png" alt="">
                                </a>
                              </li>
                          </ul>
                      </div>
                      <p><a href="javascript:void(0)">Do you have an account?</a></p>
                      <a [routerLink]="['/login']"  class="btn border">Login</a>
                  </div>
              </div>
          </div>
      </div>
  </div>
</div>
